const system = require("../../../system");
const Dao = require("../../dao.base");
class FlowLogDao extends Dao {
  constructor() {
    super(Dao.getModelName(FlowLogDao));
  }
  async getListBySourceOrderNo(sourceOrderNo) {
    return this.model.findAll({
      where: {
        sourceOrderNo: sourceOrderNo,
        isShow: 1
      },
      raw: true
    });
  }
}
module.exports = FlowLogDao;
