const system = require("../../../system");
const Dao = require("../../dao.base");
class OfficialInfoDao extends Dao {
  constructor() {
    super(Dao.getModelName(OfficialInfoDao));
  }
  async getListByTmRegistNum(tmRegistNum) {
    return this.model.findAll({
      where: {
        tmRegistNum: tmRegistNum
      },
      raw: true
    });
  }
}
module.exports = OfficialInfoDao;
